delete
https://rls.congacloud.com/api/cart/v1/carts//adjustments
Deletes one or more adjustments in a cart based on the cart ID in the
endpoint request and the cart ID and adjustment IDs provided in the parameters.
Required Fields:
cartId(route) - requiredadjustmentIds(body) - list of adjustment ID strings to delete; each entry is a plain ID string (not an object)
Behavior
- Deletes the specified manual adjustments and re-prices asynchronously (202 Accepted while processing).
- Returns 204 No Content when there is nothing to delete, or 404 when an adjustment Id is not found.
- Access to the product configuration is enforced by the configuration access filter (403 Forbidden when not permitted).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
200Adjustments deleted successfully.
202Delete request accepted and is being processed.
204No adjustments were available to delete.
